---
title: RTCIceCandidateStats.lastResponseTimestamp
slug: Web/API/RTCIceCandidatePairStats/lastResponseTimestamp
tags:
  - API
  - Connection
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - Response
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - lastResponseTimestamp
  - timeStamp
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>lastResponseTimestamp</code></strong> indicates the time at which the last {{Glossary("STUN")}} response was received on the described candidate pair.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>lastResponseTimestamp</em> = <em>rtcIceCandidatePairStats</em>.lastResponseTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} object indicating the timestamp at which the most recent STUN response was received on the connection defined by the described pair of candidates.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-lastresponsetimestamp', 'RTCIceCandidatePairStats.lastResponseTimestamp') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.lastResponseTimestamp")}}</p>
